Bug 494740 - Make it obvious panels can be moved between monitors (dual head)
Summary: Make it obvious panels can be moved between monitors (dual head)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-panel
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 537959 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-04-07 22:49 UTC by Lennart Poettering
Modified: 2012-05-23 18:12 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-23 18:12:11 UTC


Attachments (Terms of Use)

Description Lennart Poettering 2009-04-07 22:49:02 UTC
In older panel versions it was possible to move the panel to a different monitor by middle clicking on it and dragging it to the other monitor. That doesn't seem to work anymore. The panel dialog does not allow moving the panel to a different monitor either. 

Apparently the panel likes to stay on the leftmost monitor under all circumstances. That sucks.

Comment 1 Lennart Poettering 2009-04-07 22:49:44 UTC
Hmm, I just found /apps/panel/toplevels/bottom_panel/monitor which seems to fix my issue. But why is there no UI for this?

Comment 2 Ales Zelinka 2009-04-27 08:29:35 UTC
Panel used to to be dragable by any empty space on it (FC9), now (gnome-panel-2.26.1-2.fc11.x86_64) only the edges work. And those are visible only when "expand" is turned off in panel properties. Very inconvenient. Can we have the old behaviour back please?

Comment 3 Matthias Clasen 2009-04-27 16:22:03 UTC
Try Alt-click

Comment 4 Lennart Poettering 2009-04-27 17:22:59 UTC
(In reply to comment #3)
> Try Alt-click  

That works indeed. Any chance to make this more discoverable? Maybe add an item to the right click menu?

Comment 5 Matthias Clasen 2009-04-27 17:30:26 UTC
It was changed to be the same as click-dragging regular windows.
I think dragging panels is best kept as an easter-eggish power user feature. 
It would make more sense to add some other use for panel/monitor assignment, e.g. in the display capplet - the initial design had that feature.

Comment 6 Lennart Poettering 2009-04-27 19:31:56 UTC
Regular windows can be moved via clicking on the title bar, by using the window menu option for it and by doing alt-click. Only the last option is the one that now is also available for gnome-panel. Obviously the title bar moving cannot be copied into the panel, but the move-via-menu logic could be added and would be very natural, especially since it is the one that can be discovered most easily.

Comment 7 Matthias Clasen 2009-04-28 02:08:54 UTC
I guess the difference is that we expect users to think of windows as movable objects, while panels work better if they have a solid 'glued to the edge' feel.

Comment 8 Charles R. Anderson 2009-04-28 03:54:58 UTC
Every time I upgrade my dual-head settings are lost and all my gnome stuff ends up on a single monitor (another bug I should file I guess), I then need to drag the panels back.  So this operation isn't as "easter-eggish power user feature" as one might think.

Comment 9 Bug Zapper 2009-06-09 13:27:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Gilboa Davara 2009-08-21 07:18:12 UTC
I second comment #8.
IMO, the lack of move option in the panel menu is a bad UI design decision.

- Gilboa

Comment 11 Robert Hamrick 2009-10-08 00:38:28 UTC
I'm finding that I can't click and drag a panel if metacity's mouse_button_modifier is Super, but it works fine if set to Alt or Ctrl.  Seems like that should work.

$ gconftool-2 --set --type=string /apps/metacity/general/mouse_button_modifier "<Super>"

Super-click on gnome panel and drag.

Comment 12 Alex Cruise 2009-11-11 20:20:10 UTC
It's a bit disingenuous to call this a "power user" or "easter egg" feature when it's supported (and easily discoverable) in Windows.

Comment 13 Petr Šplíchal 2009-12-10 16:07:15 UTC
Was hit by this un-intuitive change in behavior as well.
+1 for enabling back the simple-click panel moving.

Comment 14 Christopher Beland 2010-01-25 15:55:22 UTC
*** Bug 537959 has been marked as a duplicate of this bug. ***

Comment 15 Christopher Beland 2010-01-25 16:00:45 UTC
I just closed two other bugs where people were complaining they could not move panels between monitors.  If I hadn't come across this bug, I wouldn't have figured out that it is indeed possible.  There definitely needs to be at least a "move" option in the right-click menu.  This is still a problem in gnome-panel-2.28.0-16.fc12.i686.

Comment 16 Bug Zapper 2010-04-27 13:33:12 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 17 Gilboa Davara 2010-04-28 19:39:38 UTC
According to comment #15, this is still an issue in F12. (All my dual display machines are still running F11).
Switching to F12.

- Gilboa

Comment 18 Charles Butterfield 2010-06-08 02:03:07 UTC
I'm running Fedora 13 and this problem (i.e. no right click menu option) still exists.

Combined with an apparent change in where the panels default when I upgraded from F11 to F13 (and changed from nVidia proprietary to nouveau) I was very confused.  Tried forever to fix the problem with system-config-display and gnome-display-properties.  Thankfully I found this thread that revealed the mystic secret (ALT-click) that only gnome guild members are supposed to know.

Comment 19 Gilboa Davara 2010-06-18 10:36:18 UTC
Far worse, now GNOME defaults to showing a menu spread across both display (as usual with GNOME, with no apparent way to configure it), and as both display have different number of vertical pixels, half of the panel is invisible.

Never the less, this bug is a GNOME issue and not RedHat issue. It should be reported upstream. (I'll report it during the weekend.)

- Gilboa

Comment 20 Christopher Beland 2010-09-09 18:27:26 UTC
With gnome-panel-2.31.90-1.fc14.x86_64, I'm still experiencing the core problem (lack of obvious way to move panels but Alt+Click works), but not the symptoms reported in Comment 19.

Comment 21 Jeff Raber 2010-12-01 17:48:27 UTC
This is embarrassing, I cannot figure out how to move the panels between monitors on F14.  I have tried: Middle Click-Drag & Holding <ALT>/<CTRL>/<SUPER> + Click-Drag.

Any suggestions?

My /apps/metacity/general/mouse_button_modifier is set to <ALT>

Comment 22 Charles Butterfield 2010-12-01 21:59:48 UTC
I'm using F14, and the "secret" solution (CTRL+left mouse click and drag) still seems to still work for me (to move the default top panel).

Comment 23 Jeff Raber 2010-12-02 06:31:37 UTC
I have tried on 2 different F14 installs and one both I am unable to drag either of the two 'default' panels.

I can add a new panel and drag it around, but only after I uncheck 'expand' in the panel properties.  This trick does not seem to work for the default panels.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 24 Leif Gruenwoldt 2010-12-08 14:30:30 UTC
(In reply to comment #21)
> This is embarrassing, I cannot figure out how to move the panels between
> monitors on F14.  I have tried: Middle Click-Drag & Holding
> <ALT>/<CTRL>/<SUPER> + Click-Drag.
> 
> Any suggestions?
> 
> My /apps/metacity/general/mouse_button_modifier is set to <ALT>

Alt+Left Click-Drag seems to work for me. Although I did a preupgrade from F13 so maybe it's possible some settings got carried over.

Comment 25 Jeff Raber 2010-12-08 20:34:43 UTC
If I add a new panel, I can move it but only if the 'expand' option is not checked in the preferences for that panel.  But that 'trick' did not work for my default panels.

Running 'gconftool-2 -R /apps/panel/toplevels' showed some differences in the configuration of the default panels vs the newly added panel (my default panel config *did* match the config at '/apps/panels/default_setup/toplevels').  Notably, 2 keys were missing from my default panels: animation_speed & y_bottom

Creating the key 'y_bottom' allowed me to drag the default panels, but only when the 'expand' option is unchecked.

I still cannot Alt+Left Click+Drag any panel.

Comment 26 Chris Carpenter 2010-12-10 20:33:02 UTC
Well, on F14, I was at first at a loss (alt[or any other modifier]+click didn't work). However, editing /apps/panel/toplevels/bottom[top]_panel/monitor to contain the correct monitor number allowed me to change the monitor. None of the above suggestions let me drag, though.

Comment 27 Paul Waterman 2011-01-14 21:55:44 UTC
I can verify this bug. I just did a fresh install of Fedora 14 (x86_64), and all RPMs are updated.

When my gnome session comes up, if I try to drag either the top panel or bottom panel anywhere, I get nothing. I tried dragging with both left and middle mouse buttons (right mouse button brings up a context menu).

If I hold down ALT or CTL and try to drag either panel (again with either left or middle button) I get the same behaviour -- nothing. 

If I uncheck "Expand" in the properties of either panel, I still get the same behavior -- nothing. This includes when trying to drag from within the panel or from the very left or right edge.

Using Chris's suggestion in Comment 26, I was able to get the panels to move from one monitor to another monitor, but I still can't drag them around.

This is WRONG behaviour.

1) It's contrary to what the online help says (it says you can move the panels by holding down ALT and dragging).

2) If I wanted an environment where I had to deal with things the way the creator thought was best, and not be able to customize things without jumping through flaming hoops, I'd buy something from Apple. :)

3) Heck -- even on WINDOWS, I can just click in the taskbar and drag it to whatever side of whatever screen I want!

Comment 28 Dimitris Glezos 2011-05-03 07:28:24 UTC
Alt+Left Click-Drag worked for me too, however I needed to google to figure it out.

Comment 29 Gilboa Davara 2012-05-23 11:44:49 UTC
Given the fact that GNOME 2 is dead, this bug can be safely closed.


Note You need to log in before you can comment on or make changes to this bug.